This website is protected by RSFirewall!, the firewall solution for Joomla!
2 minutes reading time (437 words)

Joomlahostingsupport server upgrades en .htaccess

php-5-php-7-joomla

Joomlahostingsupport gaat de servers voorzien van Multiple PHP opties. U kunt hierna als klant van Joomlahostingsupport kiezen uit meerdere PHP versies; dit zijn op het moment van schrijven PHP 5.6/7.0/7.1 en 7.2.

Om dit te kunnen aanbieden zullen er wijzigingen op de servers gaan plaatsvinden, deze wijzigingen zullen voor de meeste gebruikers geen problemen opleveren.

PHP 7 in combinatie met Joomla en WordPress levert een merkbaar snelheidsverschil op, met de nieuwe opties op onze servers kunt u testen of uw website geschikt is voor PHP 7. Werkt de website niet goed dan schakelt u terug naar een lagere PHP versie. Voorwaarde is wel dat u gebruik maakt van de meest recente versie van het CMS en extensies.

 

Wat verandert er?

PHP flags niet langer toegestaan in het .htaccess bestand.

Het kan zijn dat de situatie zich voordoet dat er bepaalde instellingen in het zogenaamde .htaccess bestand zijn geplaatst.
Zijn dit aanpassingen van het type PHP flag en/of PHP value etc in het .htaccess bestand dan is de kans groot dat na de server wijzigingen de websites een error 500 melding geven.

 

Meldingen die kunnen optreden zijn onder meer:

500 - Internal server error
--
503 - Invalid command 'php_flag', perhaps misspelled or defined by a module not included in the server configuration
--
.htaccess: Invalid command 'php_value', perhaps misspelled or defined by a module not included in the server configuration
--
.htaccess: Invalid command 'php_flag', perhaps misspelled or defined by a module not included in the server configuration
--
.htaccess: RewriteRule: bad flag delimiters
--
.htaccess: Invalid command 'suPHP_ConfigPath', perhaps misspelled or defined by a module not included in the server configuration
--
Invalid command 'php_flag', perhaps misspelled or defined by a module not included in the server configuration
--
Andere niet genoemde foutmeldingen kunnen ook optreden.

 

Reden:

PHP directives php_flag and php_value etc worden niet langer ondersteund binnen het .htaccess bestand.

 

Oplossing:

Ga via FTP of via de filemanager in Cpanel naar het .htaccess bestand (hiervoor moeten systeembestanden zichtbaar zijn, instelling in de filemanager).

Open (bewerk) het .htaccess bestand en schakel de php flag en php value regels uit door er een # voor te plaatsen zoals hier en sla het .htaccess bestand op:

htaccess

 

Problemen

Mocht het niet lukken om deze aanpassingen zelf door te voeren of krijgt u een foutmelding dan kunt u als ingelogde klant een ticket aanmaken waarna wij zullen onderzoeken waardoor de problemen ontstaan en deze waar mogelijk op lossen.

Deze service is niet gratis.

 

Wanneer

Wij gaan starten met deze aanpassingen op vrijdagavond 26-1-2017.

We zullen alle servers achter elkaar cofigureren. Ons advies is om vóór die tijd te controleren of uw .htaccess bestand voldoet aan de nieuwe configuratie eisen.

Joomla 3.8.4 is beschikbaar
Joomla 3.8.3 is beschikbaar

Gerelateerde berichten

 

Reacties

Er zijn nog geen reacties gegeven. Wees de eerste die een reactie geeft
Gast
maandag 24 september 2018

Captcha afbeelding